shisa_cfg_db(3)

NAME
shisa_cfg_db - API function

SYNOPSIS
#include <shisa.h>

int shisa_cfg_db(Shisa * dbh, const char * value);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * value
    string with database definition.

DESCRIPTION
Setup and open a new database. The syntax of the value parameter is "TYPE[ LOCATION[ PARAMETER]]", where TYPE is one of the supported database types (e.g., "file") and LOCATION and PARAMETER are optional strings passed to the database during initialization. Neither TYPE nor LOCATION can contain " " (SPC), but PARAMETER may.

RETURN VALUE
Returns SHISA_OK if database was parsed and open successfully.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.